Welcome to the Dash Forum!

Please sign up to discuss the most innovative cryptocurrency!

Dash Electrum v 2.6.4 - Mac

Discussion in 'Articles/News' started by tungfa, Mar 21, 2017.

  1. tungfa

    tungfa Administrator
    Dash Core Team Foundation Member Masternode Owner/Operator Moderator

    Joined:
    Apr 9, 2014
    Messages:
    8,802
    Likes Received:
    6,684
    Trophy Points:
    1,283
  2. rube563

    rube563 New Member

    Joined:
    Jun 26, 2016
    Messages:
    19
    Likes Received:
    2
    Trophy Points:
    3
    hello,
    I downloaded the Mac version, but it didn't work...
    The application didn't launch... I clicked on the icon and it appears to be launching, but nothing happens.
    please take a look
     
  3. tungfa

    tungfa Administrator
    Dash Core Team Foundation Member Masternode Owner/Operator Moderator

    Joined:
    Apr 9, 2014
    Messages:
    8,802
    Likes Received:
    6,684
    Trophy Points:
    1,283
    strange - no probs on my mac here
    what system / computer are u running ?
     
  4. rube563

    rube563 New Member

    Joined:
    Jun 26, 2016
    Messages:
    19
    Likes Received:
    2
    Trophy Points:
    3
    I am running OS X
    El Capitan version 10.11.6
     
  5. tungfa

    tungfa Administrator
    Dash Core Team Foundation Member Masternode Owner/Operator Moderator

    Joined:
    Apr 9, 2014
    Messages:
    8,802
    Likes Received:
    6,684
    Trophy Points:
    1,283
    my 10.12. desktop is ok
    am gonna fire up my old labtop on 10.9 and see .....

    Edit: 10.9.5 works fine
    [​IMG]

    did you pull the app into the application folder and launched from there ?
     
    #5 tungfa, Mar 26, 2017
    Last edited: Mar 26, 2017
  6. rube563

    rube563 New Member

    Joined:
    Jun 26, 2016
    Messages:
    19
    Likes Received:
    2
    Trophy Points:
    3
    Tungfa,
    yeah, I downloaded the 2.6.4 dmg file and installed the app, than I allowed it to open (at system preference) and when I double clicked on the icon it appears to run but than nothing happens. I already had Electrum-DASH 2.4.1 and since it don't allowed me to connect with my Trezor to validate it, I was waiting for this new release for a long long time...luckily I did a backup before installing the new version because I had to recover to my previous version after the new version didn't work.
    Do you know if is there a way do (apt-get upgrade) from the terminal?
     
    • Informative Informative x 1
  7. libertyzeal

    libertyzeal New Member

    Joined:
    Jan 27, 2015
    Messages:
    14
    Likes Received:
    0
    Trophy Points:
    1
    Having the same issue, here's a stack trace from the command line:

    XXXXXX$ ./electrum-dash.bin

    Traceback (most recent call last):

    File "electrum-dash", line 330, in <module>

    File "site-packages/electrum_dash/daemon.py", line 115, in __init__

    File "site-packages/electrum_dash/daemon.py", line 180, in load_wallet

    File "site-packages/electrum_dash/wallet.py", line 1984, in __new__

    File "site-packages/electrum_dash/plugins.py", line 155, in dynamic_constructor

    File "site-packages/electrum_dash/plugins.py", line 165, in wallet_plugin_loader

    File "site-packages/electrum_dash/plugins.py", line 94, in load_plugin

    File "pkgutil.py", line 246, in load_module

    File "/private/var/folders/jf/3p5xhz4n1mj0jsbk485h_b8w0000gn/T/_MEIloQtQy/plugins/trezor/qt.py", line 1, in <module>

    from ..trezor.qt_generic import qt_plugin_class

    File "/var/folders/jf/3p5xhz4n1mj0jsbk485h_b8w0000gn/T/_MEIloQtQy/plugins/trezor/qt_generic.py", line 4, in <module>

    from PyQt4.Qt import Qt

    ImportError: No module named Qt

    Failed to execute script electrum-dash
     
    • Informative Informative x 1
  8. tungfa

    tungfa Administrator
    Dash Core Team Foundation Member Masternode Owner/Operator Moderator

    Joined:
    Apr 9, 2014
    Messages:
    8,802
    Likes Received:
    6,684
    Trophy Points:
    1,283
  9. akhavr

    akhavr Active Member

    Joined:
    Oct 11, 2014
    Messages:
    688
    Likes Received:
    354
    Trophy Points:
    133
    Err.. I'm traveling, so I have no access to mac, and I didn't built this release.

    From the trace, I can say that you miss python Qt libraries. If it's urgent, I'd suggest you to install them manually and try again.
     
    • Like Like x 1
  10. rube563

    rube563 New Member

    Joined:
    Jun 26, 2016
    Messages:
    19
    Likes Received:
    2
    Trophy Points:
    3
    • Like Like x 1
  11. akhavr

    akhavr Active Member

    Joined:
    Oct 11, 2014
    Messages:
    688
    Likes Received:
    354
    Trophy Points:
    133
    What specifically trezor support said about electrum update? Just wait until an updated version would be released? Any specific version number?

    Thanks
     
  12. rube563

    rube563 New Member

    Joined:
    Jun 26, 2016
    Messages:
    19
    Likes Received:
    2
    Trophy Points:
    3
    Hello akhav,
    you can see all the explanation on my post linked above.

    thanks,
    rubens
     
  13. tungfa

    tungfa Administrator
    Dash Core Team Foundation Member Masternode Owner/Operator Moderator

    Joined:
    Apr 9, 2014
    Messages:
    8,802
    Likes Received:
    6,684
    Trophy Points:
    1,283
    tx for that "guide"
    interesting - i missed your post too

    for future references - i suggest NOT to use electrum anymore for MN + TREZOR
    please use the new GUI (works very well and is in active development)
    https://dashpay.atlassian.net/wiki/pages/viewpage.action?pageId=106442151

    +
    updated electrum wiki with your suggestion
    https://dashpay.atlassian.net/wiki/display/DOC/Electrum+Wallet
     

Share This Page